Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.parameter
Interface ParameterDescriptor<T>

All Superinterfaces:
  GeneralParameterDescriptor, IdentifiedObject

    @UML(identifier="CC_OperationParameter",
         specification=ISO_19111)
    public interface ParameterDescriptor<T>

extends GeneralParameterDescriptor

The definition of a parameter used by an operation method. Most parameter values are numeric, but other types of parameter values are possible.

Since:
  GeoAPI 2.0
Version:
  Abstract specification 2.0
See Also:
  `ParameterValue`, `ParameterDescriptorGroup`

Field Summary

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`T` | `getDefaultValue()` Returns the default value for the parameter.
`Comparable<T>` | `getMaximumValue()` Returns the maximum parameter value.
`Comparable<T>` | `getMinimumValue()` Returns the minimum parameter value.
`Unit` | `getUnit()` Returns the unit for default, minimum and maximum values.
`Set<T>` | `getValidValues()` If this parameter allows only a finite set of values, returns this set.
`Class<T>` | `getValueClass()` Returns the class that describe the type of the parameter.

Methods inherited from interface GeneralParameterDescriptor
`createValue, getMaximumOccurs, getMinimumOccurs`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getValueClass

    @UML(identifier="GC_ParameterInfo.type",
         obligation=MANDATORY,
         specification=ISO_19111)
    Class<T> getValueClass()

  Returns the class that describe the type of the parameter.

### getValidValues

    @Extension
    Set<T> getValidValues()

  If this parameter allows only a finite set of values, returns this set. This set is usually a {linkplain org.opengis.util.CodeList code list} or enumerations. This method returns `null` if this parameter doesn't limits values to a finite set.

  Note even when CodeList is used one can use this set to allow only a subset of the permissable values provided by the CodeList.

  When the getValueClass() is an array or Collection getValidValues() may be used to constrain the contained elements.

  Returns:
    A finite set of valid values (usually from a {linkplain org.opengis.util.CodeList code list}), or `null` if it doesn't apply.

### getDefaultValue

    @UML(identifier="GC_ParameterInfo.defaultValue",
         obligation=OPTIONAL,
         specification=ISO_19111)
    T getDefaultValue()

  Returns the default value for the parameter. The return type can be any type including a `Number` or a `String`. If there is no default value, then this method returns `null`.

  Returns:
    The default value, or `null` in none.

### getMinimumValue

    @UML(identifier="GC_ParameterInfo.minimumValue",
         obligation=OPTIONAL,
         specification=ISO_19111)
    Comparable<T> getMinimumValue()

  Returns the minimum parameter value. If there is no minimum value, or if minimum value is inappropriate for the parameter type, then this method returns `null`.

  When the getValueClass() is an array or Collection getMinimumValue may be used to constrain the contained elements.

  Returns:
    The minimum parameter value (often an instance of `Double`), or `null`.

### getMaximumValue

    @UML(identifier="GC_ParameterInfo.maximumValue",
         obligation=OPTIONAL,
         specification=ISO_19111)
    Comparable<T> getMaximumValue()

  Returns the maximum parameter value. If there is no maximum value, or if maximum value is inappropriate for the parameter type, then this method returns `null`.

  When the getValueClass() is an array or Collection getMaximumValue may be used to constratin the contained elements.

  Returns:
    The minimum parameter value (often an instance of `Double`), or `null`.

### getUnit

    @Extension
    Unit getUnit()

  Returns the unit for default, minimum and maximum values. This attribute apply only if the values is of numeric type (usually an instance of `Double`).

  Returns:
    The unit for numeric value, or `null` if it doesn't apply to the value type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.